XScreenSaver(1)

NAME
pipes - fill the screen with a plumbing system.

SYNOPSIS
pipes [-display host:display.screen] [-visual visual] [-window] [-root] [-count 0] [-count 1] [-cycles number] [-size number] [-factory number] [-delay number] [-no-fisheye] [-tightturns] [-db] [-fps]

DESCRIPTION
If you've ever been in the same room with a Windows NT machine, you've probably seen this GL hack. It fills the screen with a plumbing system.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-count 0
    Curved Pipes.

-count 1
    Ball Joints.

-cycles number
    Number of pipe systems to draw at once. Default: 5.

-size number
    Length of each pipe system. Default: 500.

-factory number
    How much gadgetry to create; Useful range is 0-10. Default: 2.

-delay number
    How long (in microseconds) to sleep between frames. Default: 100.

-fisheye | -no-fisheye
    Whether to use a fisheye lens.

-tightturns | -no-tightturns
    Whether to allow tight turns.

-db | -no-db
    Whether to double-buffer.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Marcelo Vianna. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Marcelo Vianna.